Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/CENIC/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/CENIC/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/CENIC/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -39,4 +39,5 @@
         <openflow:port name="19" num="19"/> <!-- UH 1751 -->
         <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
       </openflow:datapath>
 
@@ -58,5 +59,4 @@
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
@@ -64,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Chicago/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Chicago/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Chicago/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -59,5 +59,4 @@
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
@@ -65,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Colorado/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Colorado/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Colorado/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -59,5 +59,4 @@
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
@@ -65,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GATech/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GATech/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GATech/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -1,6 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- 
-AM: https://foam.net.internet2.edu:3626/foam/gapi/1
--->
 <rspec xmlns="http://www.geni.net/resources/rspec/3"
        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
@@ -11,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -29,17 +25,44 @@
     </openflow:group>
 
-   <openflow:group name="I2-LOSA-1750-3716">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
-        <openflow:port name="1" num="1"/>    <!-- to CENIC 1750 -->
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
-    <openflow:group name="UEN-1750">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
+
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
         <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
+        <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
+        <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
+      </openflow:datapath>
+ 
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -49,7 +72,12 @@
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
         <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
+        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
-        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
-
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -58,6 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="I2-LOSA-1750-3716" /> 
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/GPO/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -1,8 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- 
-This rspec will reserve the OpenFlow resources at Internet2
-used by the IG-CT-4 New Site Confirmation Test 
-AM: https://foam.net.internet2.edu:3626/foam/gapi/1
--->
 <rspec xmlns="http://www.geni.net/resources/rspec/3"
        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
@@ -13,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -31,15 +25,44 @@
     </openflow:group>
 
-   <openflow:group name="I2-LOSA-1750-3716">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
-        <openflow:port name="15" num="15"/>
+        <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
-    <openflow:group name="UEN-1750">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
-        <openflow:port name="12" num="12"/>
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
+
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
+        <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
+        <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
+      </openflow:datapath>
+ 
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -48,5 +71,13 @@
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
-        <openflow:port name="9" num="9"/>
+        <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
+        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
+        <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -55,6 +86,6 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="I2-LOSA-1750-3716" />
+      <openflow:use-group name="group-1750" />
+      <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
 	<openflow:dl_type value="0x800,0x806"/>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IllinoisUrbana/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IllinoisUrbana/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/IllinoisUrbana/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,23 +25,36 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
         <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -50,6 +62,7 @@
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
-
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -61,4 +74,9 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
         <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
@@ -68,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kansas/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kansas/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kansas/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,23 +25,36 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
         <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -50,6 +62,7 @@
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
-
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -62,4 +75,8 @@
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
         <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
         <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
@@ -69,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kentucky/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kentucky/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kentucky/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -1,8 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- 
-This rspec will reserve the OpenFlow resources at Internet2
-used by the IG-CT-4 New Site Confirmation Test 
-AM: https://foam.net.internet2.edu:3626/foam/gapi/1
--->
 <rspec xmlns="http://www.geni.net/resources/rspec/3"
        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
@@ -13,34 +8,7 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
-
-   <openflow:group name="site-connections">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-           <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
-           <openflow:port name="4" num="4"/> <!-- SoX 1750 --> 
-      </openflow:datapath>
-
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
-        <openflow:port name="12" num="12"/> <!--UEN/PG Utah 1750 -->
-      </openflow:datapath>
-   </openflow:group>
-
-   <openflow:group name="backbone-selection">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e"  
-        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
-        <openflow:port name="9" num="9"/> <!-- ATLA 1750-3716 -->
-      </openflow:datapath>
-
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
-        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
-        <openflow:port name="15" num="15"/>  <!-- LOSA 1750-3716 -->
-      </openflow:datapath>
-
-   </openflow:group>
 
     <openflow:group name="i2-3716">
@@ -57,10 +25,67 @@
     </openflow:group>
 
+   <openflow:group name="group-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
+      </openflow:datapath>
+
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
+
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
+        <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
+        <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
+      </openflow:datapath>
+ 
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
+        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
+        <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
+      </openflow:datapath>
+    </openflow:group>
 
     <openflow:match>
 
-      <openflow:use-group name="site-connections" />
-      <openflow:use-group name="backbone-selection" />
       <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="group-1750" />
+      <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
 	<openflow:dl_type value="0x800,0x806"/>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kettering/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kettering/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Kettering/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -1,6 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- 
-AM: https://foam.net.internet2.edu:3626/foam/gapi/1
--->
 <rspec xmlns="http://www.geni.net/resources/rspec/3"
        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
@@ -11,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -29,26 +25,44 @@
     </openflow:group>
 
-   <openflow:group name="I2-LOSA-1750-3716">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
-        <openflow:port name="1" num="1"/>    <!-- to CENIC 1750 -->
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="UEN-1750">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
-        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -58,7 +72,12 @@
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
         <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
+        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
-        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
-
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -67,6 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="I2-LOSA-1750-3716" /> 
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MAX/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MAX/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MAX/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,23 +25,36 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
         <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -50,4 +62,7 @@
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -59,5 +74,10 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
-
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -66,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MOXI/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MOXI/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MOXI/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -30,10 +30,14 @@
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
 
-	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
         <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
         <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
       </openflow:datapath>
 
@@ -55,5 +59,4 @@
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
@@ -61,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MissouriColumbia/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MissouriColumbia/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MissouriColumbia/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,23 +25,36 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
         <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -50,4 +62,7 @@
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -59,4 +74,9 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
         <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
@@ -66,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NPS/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NPS/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NPS/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -30,10 +30,14 @@
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
 
-	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
         <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
         <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
       </openflow:datapath>
 
@@ -55,5 +59,4 @@
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
@@ -61,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NYSERNet/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NYSERNet/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NYSERNet/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,23 +25,36 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
-        <openflow:port name="19" num="19"/> <!-- MOXI 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -50,4 +62,7 @@
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -59,5 +74,10 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
-
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -66,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NYU/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NYU/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/NYU/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,26 +25,44 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -57,5 +74,10 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
-
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -64,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/OHMetroDC/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/OHMetroDC/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/OHMetroDC/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -39,4 +39,5 @@
         <openflow:port name="19" num="19"/> <!-- UH 1751 -->
         <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
       </openflow:datapath>
 
@@ -58,5 +59,4 @@
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
@@ -64,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/SOX/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,23 +25,36 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
         <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -50,6 +62,7 @@
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
-
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -61,4 +74,9 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
         <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
@@ -68,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Stanford/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Stanford/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Stanford/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,14 +25,28 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
@@ -43,7 +56,5 @@
         <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -53,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -64,4 +76,7 @@
         <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
         <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
         <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
@@ -71,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UCLA/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UCLA/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UCLA/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -39,4 +39,5 @@
         <openflow:port name="19" num="19"/> <!-- UH 1751 -->
         <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
       </openflow:datapath>
 
@@ -58,5 +59,4 @@
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
@@ -64,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UMKC/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UMKC/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UMKC/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -59,5 +59,4 @@
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
-        <openflow:port name="1" num="1"/> <!-- GPO 1750 -->
         <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
@@ -65,4 +64,5 @@
         <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UtahDDC/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UtahDDC/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UtahDDC/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -1,6 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!-- 
-AM: https://foam.net.internet2.edu:3626/foam/gapi/1
--->
 <rspec xmlns="http://www.geni.net/resources/rspec/3"
        xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
@@ -11,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -29,25 +25,44 @@
     </openflow:group>
 
-   <openflow:group name="I2-LOSA-1750-3716">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="UEN-1750">
-      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
-	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
-        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -59,5 +74,10 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
-
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -66,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="I2-LOSA-1750-3716" /> 
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Wisconsin/IG-CT-4-openflow-internet2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Wisconsin/IG-CT-4-openflow-internet2.rspec	(revision 3159)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Wisconsin/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,14 +25,28 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
@@ -43,7 +56,5 @@
         <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -51,6 +62,7 @@
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
         <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
-
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -62,4 +74,9 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
         <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
@@ -69,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>
